org.bdgenomics.adam.rdd.read.recalibration

# Recalibrator

#### class Recalibrator extends (DecadentRead) ⇒ AlignmentRecord with Serializable

Linear Supertypes
Serializable, Serializable, (DecadentRead) ⇒ AlignmentRecord, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Recalibrator
2. Serializable
3. Serializable
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Recalibrator(table: RecalibrationTable, minAcceptableQuality: QualityScore)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def andThen[A](g: (AlignmentRecord) ⇒ A): (DecadentRead) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def apply(read: DecadentRead): AlignmentRecord

   Definition Classes
     Recalibrator → Function1

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ DecadentRead): (A) ⇒ AlignmentRecord

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### def computeQual(read: DecadentRead): Seq[QualityScore]

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val minAcceptableQuality: QualityScore

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### val table: RecalibrationTable

24. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from (DecadentRead) ⇒ AlignmentRecord

### Inherited from AnyRef

### Inherited from Any

### Ungrouped